package net.ihe.gazelle.transformation.other.authentification;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;
import org.jboss.seam.security.Identity;

import java.io.Serializable;

/**
 * @author aboufahja, ceoche
 */
@Name("ipAuthenticator")
@Scope(ScopeType.STATELESS)
public class IpAuthenticator implements Serializable {

    private static final long serialVersionUID = -3218033031874132104L;

    @In(create = true, value = "org.jboss.seam.security.identity")
    private Identity identity;

    public String loginByIP() {
        if ("loggedIn".equals(identity.login())) {
            return "/home.xhtml";
        } else {
            return null;
        }
    }

}
